let fs = require("fs");

function main() {
    let arguments = process.argv.splice(2);
    var fd;
    try {
        fd = fs.openSync(arguments[0], 'rs+');
        let buf = Buffer.allocUnsafe(4);
        let n = fs.readSync(fd, buf, 0, 4, 0x234);
        if ((n == 4) && (buf[0] == 0x04) && (buf[1] == 0x00) && (buf[2] == 0x03) && (buf[3] == 0x00)) {
            buf[0] = 0x15;
            fs.writeSync(fd, buf, 0, 4, 0x234);
            console.log("success!");
        }
        else {
            console.log("do nothing.");
        }
    } catch (err) {
        console.error("error: ", err);
    } finally {
        if (fd !== undefined)
            fs.closeSync(fd);
    }
}

main();